Bug 88987 - All icons in Gnome desktop and Nautilus have become identical, like grey-white sheets of paper.
All icons in Gnome desktop and Nautilus have become identical, like grey-whit...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gnome-desktop (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-15 21:52 EDT by Harvey Modlin
Modified: 2009-09-08 15:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-22 03:02:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harvey Modlin 2003-04-15 21:52:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
If I log in under Gnome (RH9), all icons on the desktop and in Nautilus look 
the same. They all look like a sheet of grey-white paper with a curl in the 
upper left hand corner. However, the panel and menu icons are all correct.

If I log in under KDE, I have no icons problems.

This Gnome icon problem didn't exist at installation time. It appeared suddenly 
after several days of successful usage of RH9. Also, I have RH9 set up on two 
computers and the problem only exists on one of the two computers.

I have tried manually changing the icon for 

Version-Release number of selected component (if applicable):
gnome-desktop-2.2.0.1-4 (all RH9 components uptodate as of 15-April-2003)

How reproducible:
Always

Steps to Reproduce:
1. Log in under Gnome, does not matter if root or regular user.
2.
3.
    

Actual Results:  Gnome comes up OK. All applications work. But the desktop 
icons and Nautilus icons all look like grey-white pieces of paper.

Expected Results:  Regular standard icons should appear on Gnome/Bluecurve 
desktop and in Nautilus.

Additional info:

I have installed "vanilla" RedHat 9 and have applied all updates issued through 
15-April-2003.
Comment 1 Havoc Pennington 2003-04-21 15:01:51 EDT
Did you change anything in the Theme control panel? if you do change something, 
does it affect the problem?

Comment 2 Harvey Modlin 2003-04-22 01:53:25 EDT
When I run gnome-theme-manager, I get an error dialog box that says:
"The default theme schemas could not be found on.  This means that you 
probably don't have metacity installed, or that your gconf is configured 
incorrectly."

ps -efww shows /usr/bin/metacity --sm-client-id=default1 
and /usr/libexec/gconfd-2 11.

As root, I killed X and deleted all root user directories ".g*" 
and ".metacity". I did rpm -e on metacity, control-center, and firstboot (all 
dependencies). Then I did rpm -ivh --force metacity* control-center* 
firstboot*. Restarted. No change. Then I did rpm -e --nodeps gnome-icon-theme 
gnome-themes followed by rpm -ivh --force --nodeps gnome-icon-theme* gnome-
themes*. No change.
Comment 3 Havoc Pennington 2003-04-22 02:20:11 EDT
Does it help to log in as a newly-created user?

I think the relevant package to reinstall if you lost these schemas 
would be "libgnome", though I don't know how you could have lost them.
Comment 4 Harvey Modlin 2003-04-22 03:02:37 EDT
Creating a new user and logging on as that user did not help.

Reinstalling libgnome* SOLVED the problem. All icons have been restored 
automatically to their correct state. Thank you, thank you, thank you.

All the libgnome packages were installed but somehow they got messed up, I 
guess. What I did to mess them up is beyond me. But at least a reinstallation 
fixed the problem. Again, thank you!
Comment 5 Renich Bon Ciric 2009-09-08 15:17:35 EDT
Guys, this happens in Rawhide too.

I'm seing blank pieces of paper for all non-default icons on the desktop (i.e. file.pdf, file.jpg, file.ods, file.odt)

This might be a bug after all

Note You need to log in before you can comment on or make changes to this bug.